Page MenuHomePhabricator

[OpenCL] Improve diagnostic for placement new
ClosedPublic

Authored by svenvh on Jun 19 2019, 8:47 AM.

Details

Summary

Without an explicit declaration for placement new, clang would reject
uses of placement new with "default new' is not supported in OpenCL
C++", suggesting that placement new is not supported, see e.g.
PR42060.

Diff Detail

Repository
rL LLVM

Event Timeline

svenvh created this revision.Jun 19 2019, 8:47 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 19 2019, 8:47 AM
Anastasia accepted this revision.Jun 20 2019, 6:58 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Jun 20 2019, 6:58 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 26 2019, 6:33 AM